package md

type SaveCentralKitchenForSchoolUserIdentityReq struct {
	Id           int    `json:"id" label:"id"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	IsTeacher    bool   `json:"is_teacher" label:"是否教师"`
	Name         string `json:"name" binding:"required" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号码"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	ClassId      int    `json:"class_id" label:"班级id"`
}

type SaveNursingHomeUserIdentityReq struct {
	Id           int    `json:"id" label:"id"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Name         string `json:"name" binding:"required" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号码"`
}

type SaveSelfSupportForSchoolUserIdentityReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Kind         int    `json:"kind" binding:"required" label:"类型(1:普通用户 2:工作人员)"`
	IsTeacher    bool   `json:"is_teacher" label:"是否教师"`
	Name         string `json:"name" binding:"required" label:"姓名"`
	IdNo         string `json:"id_no" binding:"required" label:"身份证号码"`
	CertType     int    `json:"cert_type" binding:"required" label:"证件类型(1:身份证 2:学工号 3:护照)"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	ClassId      int    `json:"class_id" label:"班级id"`
}

type UpdateCentralKitchenForSchoolUserIdentityReq struct {
	IdNo           string `json:"id_no" label:"身份证号"`
	Name           string `json:"name" label:"姓名"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级"`
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
}

type UpdateSelfSupportForSchoolUserIdentityReq struct {
	IdNo           string `json:"id_no" label:"身份证号"`
	Name           string `json:"name" label:"姓名"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级"`
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
}

type UpdateNursingHomeUserIdentityReq struct {
	IdNo           string `json:"id_no" label:"身份证号"`
	Name           string `json:"name" label:"姓名"`
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
}
